linux: 2.6.32-39.86 -proposed tracker

Reported by Brad Figg on 2012-02-13
26
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Brad Figg
Prepare-package-lbm
Undecided
Brad Figg
Prepare-package-meta
Undecided
Brad Figg
Prepare-package-ports-meta
Undecided
Brad Figg
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-39.86 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 13. February 2012 19:54 UTC
kernel-stable-Prepare-package-end:Tuesday, 14. February 2012 08:19 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 14. February 2012 08:19 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 21. February 2012 08:16 UTC
kernel-stable-Verification-testing-start:Tuesday, 21. February 2012 08:17 UTC
kernel-stable-Verification-testing-end:Tuesday, 21. February 2012 17:00 UTC
kernel-stable-Certification-testing-start:Tuesday, 21. February 2012 17:01 UTC
kernel-stable-Security-signoff-start:Tuesday, 21. February 2012 17:01 UTC
kernel-stable-Regression-testing-start:Tuesday, 21. February 2012 17:01 UTC
kernel-stable-Security-signoff-end:Thursday, 23. February 2012 19:00 UTC
kernel-stable-Regression-testing-end:Tuesday, 28. February 2012 20:15 UTC
kernel-stable-Promote-to-updates-start:Friday, 02. March 2012 14:00 UTC
kernel-stable-Certification-testing-end:Friday, 02. March 2012 14:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 05. March 2012 16:30 UTC
kernel-stable-Promote-to-updates-end:Monday, 05. March 2012 16:30 UTC

CVE References

Brad Figg (brad-figg) on 2012-02-13
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Lucid):
status: New → Confirmed

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-fsl-imx51 - bug 931913
linux-ec2 - bug 931914

description: updated
Martin Pitt (pitti) on 2012-02-17
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-02-17
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

linux-image-2.6.32-39-preempt 2.6.32-39.86 - is in main instead of universe
linux-backports-modules-alsa-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.34-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.35-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.36-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.37-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.38-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.39-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-compat-wireless-3.0.0-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-compat-wireless-3.1-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-compat-wireless-3.2-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-input-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-backports-modules-wwan-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe
linux-headers-lbm-2.6.32-39-preempt 2.6.32-39.40 - is in main instead of universe

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Brad Figg (brad-figg) on 2012-02-21
description: updated
Brad Figg (brad-figg) wrote :

All bugs have been verified.

description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-02-23
description: updated

Hardware Certification has begun testing this -proposed kernel.

C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-02-28
description: updated
tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-03-02
description: updated

Hardware Certification has completed testing on 45/46 systems. One system was inaccesible in the lab. No failures were detected in the systems that reported results. The report is available here: http://people.canonical.com/~hwcert/sru-testing/wk09_2012/lucid-proposed.html

Launchpad Janitor (janitor) wrote :
Download full text (6.3 KiB)

This bug was fixed in the package linux - 2.6.32-39.86

---------------
linux (2.6.32-39.86) lucid-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #931647

  [ Upstream Kernel Changes ]

  * ext4: fix undefined behavior in ext4_fill_flex_info()
    - LP: #922315
  * ALSA: snd-usb-us122l: Delete calls to preempt_disable
    - LP: #922315
  * ALSA: ice1724 - Check for ac97 to avoid kernel oops
    - LP: #922315
  * ALSA: hda - Return the error from get_wcaps_type() for invalid NIDs
    - LP: #922315
  * HID: bump maximum global item tag report size to 96 bytes
    - LP: #724831, #922315
  * UBI: fix use-after-free on error path
    - LP: #922315
  * PCI: Fix PCI_EXP_TYPE_RC_EC value
    - LP: #922315
  * PCI: msi: Disable msi interrupts when we initialize a pci device
    - LP: #922315
  * xen/xenbus: Reject replies with payload > XENSTORE_PAYLOAD_MAX.
    - LP: #922315
  * ima: free duplicate measurement memory
    - LP: #922315
  * PNP: work around Dell 1536/1546 BIOS MMCONFIG bug that breaks USB
    - LP: #922315
  * x86: Fix mmap random address range
    - LP: #922315
  * UBI: fix nameless volumes handling
    - LP: #922315
  * i2c: Fix error value returned by several bus drivers
    - LP: #922315
  * V4L/DVB: v4l2-ioctl: integer overflow in video_usercopy()
    - LP: #922315
  * svcrpc: fix double-free on shutdown of nfsd after changing pool mode
    - LP: #922315
  * svcrpc: destroy server sockets all at once
    - LP: #922315
  * nfsd: Fix oops when parsing a 0 length export
    - LP: #922315
  * USB: cdc-wdm: fix misuse of logical operation in place of bitop
    - LP: #922315
  * fix cputime overflow in uptime_proc_show
    - LP: #922315
  * USB: Fix 'bad dma' problem on WDM device disconnect
    - LP: #922315
  * block: add and use scsi_blk_cmd_ioctl
    - LP: #922315
  * kernel.h: add printk_ratelimited and pr_<level>_rl
    - LP: #922315
  * ALSA: HDA: Fix internal microphone on Dell Studio 16 XPS 1645
    - LP: #795823, #922315
  * sym53c8xx: Fix NULL pointer dereference in slave_destroy
    - LP: #922315
  * score: fix off-by-one index into syscall table
    - LP: #922315
  * kprobes: initialize before using a hlist
    - LP: #922315
  * Linux 2.6.32.55
    - LP: #922315
  * eCryptfs: Sanitize write counts of /dev/ecryptfs
    - LP: #926321
  * ecryptfs: Improve metadata read failure logging
    - LP: #926321
  * eCryptfs: Make truncate path killable
    - LP: #926321
  * crypto: sha512 - make it work, undo percpu message schedule
    - LP: #926321
  * crypto: sha512 - reduce stack usage to safe number
    - LP: #926321
  * block: fail SCSI passthrough ioctls on partition devices
    - LP: #926321
  * dm: do not forward ioctls from logical volumes to the underlying device
    - LP: #926321
  * USB: ftdi_sio: fix TIOCSSERIAL baud_base handling
    - LP: #926321
  * USB: ftdi_sio: add PID for TI XDS100v2 / BeagleBone A3
    - LP: #926321
  * USB: serial: ftdi additional IDs
    - LP: #926321
  * USB: ftdi_sio: Add more identifiers
    - LP: #926321
  * USB: cdc-wdm: updating desc->length must be protected by spin_lock
    - LP: #926321
  * usb: io_ti: Make edge_remove_sysfs_attrs the port_remove method.
    -...

Read more...

Changed in linux (Ubuntu Lucid):
status: Confirmed → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers